TAU2VTF(1)

NAME
tau2vtf - convert TAU tracefiles to vampir tracefiles

SYNOPSIS

tau2vtf [-nomessage] [-v] [[-a] [-fa]] {tau_tracefile} {tau_eventfile} {vtf_tracefile}

DESCRIPTION

This program is generated when TAU is configured with the -vtf=<vtf_dir> option.

The tau2vtf trace converter takes a single tau_tracefile (*.trc) and tau_eventfile (*.edf) and produces a corresponding vtf_tracefile (*.vtf). The input files and output file must be specified in that order. Multi-file TAU traces must be merged before conversion.

The default output file format is VTF3 binary. If the output filename is given as the .vpt.gz type, rather than .vpt, the output file will be gzipped. There are two additional output format options. The command line argument '-a' produces the vtf file output in ASCII VTF3 format. The command line argument '-fa' produces the vtf file output in the FAST ASCII VTF3 format. Note that these arguments are mutually exclusive.

OPTIONS

-nomessage Suppresses printing of message information in the trace.

-v Verbose mode sends trace event descriptions to the standard output as they are converted.

-a Print the vtf file output in the human-readable VTF3 ASCII format

-fa Print the vtf file in the simplified human-readable FAST ASCII VTF3 format

EXAMPLES

The program must be run with the tau trace, tau event and vtf output files specified in the command line in that order. Any additional arguments follow. The following will produce a VTF, app.vpt, from the TAU trace and event files merged.trc and tau.edf trace file:

tau2vtf merged.trc tau.edf app.vpt

The following will convert merged.trc and tau.edf to a gzipped FAST ASCII vampir tracefile app.vpt.gz, with message events omitted:

tau2vtf merged.trc tau.edf app.vpt.gz -nomessage -fa

SEE ALSO

vtf2profile(1), tau2profile(1), tau_merge(1), tau_convert(1)